Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## mauda.plugin.fibheap
Class FibHeapKBFormulaEvaluator

    java.lang.Object
      mauda.plugin.KBFormulaEvaluator
          mauda.plugin.fibheap.FibHeapKBFormulaEvaluator

    public class FibHeapKBFormulaEvaluator

extends KBFormulaEvaluator

Evaluates special constants in formulas in the Knowledge- Base.

Author:
  Markus Krebs

Field Summary

Fields inherited from class mauda.plugin.KBFormulaEvaluator
`filledFormula`

Constructor Summary
`FibHeapKBFormulaEvaluator(Exercise exercise)` Creates a FibHeap-Knowledge-Base Formual Evaluator

Method Summary
`java.lang.String` | `getSpecialConstant(java.lang.String sc)` Gets a plugin-specific constant like: `subop[current].param2.pre.isroot`This expression cannot completely evaluated by this evaluator, because he understands pre.isroot not.``

Methods inherited from class mauda.plugin.KBFormulaEvaluator
`evaluate, evaluateFilledFormula, getConstant, isFinishOperationState, setFinishOperationState`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FibHeapKBFormulaEvaluator

    public FibHeapKBFormulaEvaluator(Exercise exercise)

  Creates a FibHeap-Knowledge-Base Formual Evaluator

  Parameters:
    `exercise` -

Method Detail

### getSpecialConstant

    public java.lang.String getSpecialConstant(java.lang.String sc)

  Description copied from class: `KBFormulaEvaluator`
  Gets a plugin-specific constant like:
  `subop[current].param2.pre.isroot`
  This expression cannot completely evaluated by this evaluator, because he understands pre.isroot not. Therefore the expression `subop[current].param2` will be evaluated by this evaluator e.g. in `2`, and then `2[5].pre.isroot` will be transmitted to the plugin-specific evaluatore, who can evaluate this formula in e.g. `TRUE`. The number in brackets is needed to identify from which data-structure in the history the information should retrieved.

  ``
  Overrides:
    `getSpecialConstant` in class `KBFormulaEvaluator`
  Parameters:
    `sc` - constant
  Returns:
    evaluated constant

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD